## org.apache.mahout.utils.regex
Class AnalyzerTransformer

    java.lang.Object
      org.apache.mahout.utils.regex.AnalyzerTransformer

All Implemented Interfaces:
  RegexTransformer

    public class AnalyzerTransformer

extends Object
implements RegexTransformer

Constructor Summary
`AnalyzerTransformer()`
`AnalyzerTransformer(org.apache.lucene.analysis.Analyzer analyzer)`
`AnalyzerTransformer(org.apache.lucene.analysis.Analyzer analyzer, String fieldName)`

Method Summary
`org.apache.lucene.analysis.Analyzer` `getAnalyzer()`
`void` `setAnalyzer(org.apache.lucene.analysis.Analyzer analyzer)`
`String` `transformMatch(String match)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnalyzerTransformer

    public AnalyzerTransformer()

### AnalyzerTransformer

    public AnalyzerTransformer(org.apache.lucene.analysis.Analyzer analyzer)

### AnalyzerTransformer

    public AnalyzerTransformer(org.apache.lucene.analysis.Analyzer analyzer,
                               String fieldName)

Method Detail

### transformMatch

    public String transformMatch(String match)

  Specified by:
    `transformMatch` in interface `RegexTransformer`

### getAnalyzer

    public org.apache.lucene.analysis.Analyzer getAnalyzer()

### setAnalyzer

    public void setAnalyzer(org.apache.lucene.analysis.Analyzer analyzer)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.